Attribute VB_Name = "z_UIRibbon"
Option Explicit

Sub HT03_OnRibbonBtn(iControl As IRibbonControl)
  Select Case iControl.ID
  Case "HT03_NextLink":           Call HT03_NextLink
  Case "HT03_ChangeLType":        Call HT03_ChangeLType
  Case "HT03_ChangeStatus":       Call HT03_ChangeStatus
  Case "HT03_QueryLink":          Call HT03_QueryLink
  Case "HT03_ExpressLinks":       Call HT03_ExpressLinks
  Case "HT03_ExpressDocuments":   Call HT03_ExpressDocuments
  Case "HT03_RejectDocument":     Call HT03_RejectDocument
  Case "HT03_UpdateMarkup":       Call HT03_UpdateMarkup
  Case "HT03_ModifyDoc":          Call HT03_EditDocument
  Case "HT03_OpenRegistry":       Call HT03_Registry
  Case "HT03_ReloadIndex":        Call HT03_ReloadIndex
  Case "HT03_AddDoc":             Call HT03_AddDoc
  Case "HT03_AddLink":            Call HT03_AddLink
  Case "HT03_AddNew":             Call HT03_AddNew
  Case "HT03_Help":               Call HT03_Help
  Case "HT03_FollowLink":         Call HT03_FollowLink
  Case "HT03_RemoveLink":         Call HT03_RemoveLink
  Case "HT03_ReloadLinks":        Call HT03_ReloadLinks
  End Select
End Sub
